app-forensics/lynis: drop 3.1.0

Signed-off-by: Mike Pagano <mpagano@gentoo.org>
This commit is contained in:
Mike Pagano 2024-03-17 10:33:02 -04:00
parent d64bc95934
commit 136f68188a
No known key found for this signature in database
GPG Key ID: FA1D8A7860CC2F96
2 changed files with 0 additions and 72 deletions

View File

@ -1,2 +1 @@
DIST lynis-3.1.0.tar.gz 344222 BLAKE2B 257c451d04f54ca1cebb36f2a336d93c15619ed416dae86f4fb3926ad4d830e0978db13c8885db1bbb03ccda5d1cca0b6c82b465f6fdee2f7a1e61a49f6486b9 SHA512 710d7a36c1e6526e4a9e309d985907a64128a1ae83430dd0e48bddc956c4f60344abcdb016f1c91fc1add6a1e4eca06d92a0231600faf0bd316b729bbd1deaf3
DIST lynis-3.1.1.tar.gz 344324 BLAKE2B 056e689f00ac0fa74bd1a6dc3915cbd70f28cdb5461e0749b68ce2cf84e425c295425f7bb6d5aeb0208693a0e38290cb90925e392928257c79bc5887f6e58498 SHA512 c37366154e03a661a7e995d14c651d5503c7189f50edfd194d8b7034e001b9610bfe79917221156ab3607f7c348625ea956fb0acb46a6c7e64a7d189dbcfd4ee

View File

@ -1,71 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
inherit bash-completion-r1 systemd
DESCRIPTION="Security and system auditing tool"
HOMEPAGE="https://cisofy.com/lynis/"
SRC_URI="https://cisofy.com/files/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+cron systemd"
RDEPEND="
app-shells/bash
cron? ( !systemd? ( virtual/cron ) )"
S="${WORKDIR}/${PN}"
src_install() {
doman lynis.8
dodoc FAQ README
newdoc CHANGELOG.md CHANGELOG
# Remove the old one during the next stabilize progress
exeinto /etc/cron.daily
newexe "${FILESDIR}"/lynis.cron-new lynis
dobashcomp extras/bash_completion.d/lynis
# stricter default perms - bug 507436
diropts -m0700
insopts -m0600
insinto /usr/share/${PN}
doins -r db/ include/ plugins/
dosbin lynis
insinto /etc/${PN}
doins default.prf
sed -i -e 's/\/path\/to\///' "${S}/extras/systemd/${PN}.service" || die "Sed Failed!"
systemd_dounit "${S}/extras/systemd/${PN}.service" || die "Sed Failed!"
systemd_dounit "${S}/extras/systemd/${PN}.timer"
if ! use cron; then
ebegin "removing cron files from installation image"
rm -rfv "${ED}/etc/cron.daily" || die
eend "$?"
fi
}
pkg_postinst() {
if use cron; then
if systemd_is_booted || has_version sys-apps/systemd; then
echo
ewarn "Both 'cron' and 'systemd' flags are enabled."
ewarn "So both ${PN}.target and cron files were installed."
ewarn "Please don't use 2 implementations at the same time."
ewarn "Cronjobs are usually enabled by default via /etc/cron.* jobs"
ewarn "If you want to use systemd ${PN}.target timers"
ewarn "disable 'cron' flag and reinstall ${PN}"
echo
else
einfo "A cron script has been installed to ${ROOT}/etc/cron.daily/lynis."
fi
fi
}